# Interface ISafeRunnableRunner

public interface ISafeRunnableRunner
Runs a safe runnables.

Clients may provide their own implementation to change how safe runnables are run from within JFace.

Since:
  3.1
See Also:
  - `SafeRunnable.getRunner()`
  - `SafeRunnable.setRunner(ISafeRunnableRunner)`
  - `SafeRunnable.run(ISafeRunnable)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(ISafeRunnable code)`
Runs the runnable.

## Method Details

### run

void run(ISafeRunnable code)
Runs the runnable. All `ISafeRunnableRunners` must catch any exception thrown by the `ISafeRunnable` and pass the exception to `ISafeRunnable.handleException()`.

Parameters:
  `code` - the code executed as a save runnable
See Also:
  - `SafeRunnable.run(ISafeRunnable)`